Replace Repositories Configured for Seer
ExperimentalThis API is under active development and may change.
PUT /api/0/projects/{organization_id_or_slug}/{project_id_or_slug}/seer/repos/
Replace the project's active Seer repository configurations with the submitted repositories. An empty repos list removes all active Seer repository configurations. Inactive repository configurations are retained and become available again if the repositories are reactivated.
Path Parameters
organization_id_or_slug(string)REQUIREDThe ID or slug of the organization the resource belongs to.
project_id_or_slug(string)REQUIREDThe ID or slug of the project the resource belongs to. Project slugs are unique within each organization.
Body Parameters
repos(array(object))REQUIREDRepositories to link and configure for Seer in this project.
Scopes
You need to authenticate via bearer auth token.
<auth_token> requires one of the following scopes:project:adminproject:write
Copied
curl https://sentry.io/api/0/projects/{organization_id_or_slug}/{project_id_or_slug}/seer/repos/ \ -H 'Authorization: Bearer <auth_token>' \ -X PUT \ -H 'Content-Type: application/json' \ -d '{}'
RESPONSE
CopiedNo Content.
Was this helpful?